
QGIS Application - Bug report #14132

2.5d symbology: layer fails to render upon project re-load

2016-01-18 10:27 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee: Matthias Kuhn

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22134

Description

When a project is re-loaded, layers rendered using 2.5D symbology fail to draw properly, with only shadow showing up.

Steps to reproduce

    1. Create a new project

    2. Add a vector polygon dataset

    3. Open its property window, and set the symbology to 2.5D (default settings will do)

    4. Save the project, and close QGIS

    5. Re-open QGIS, load the project

    6. You'll notice only shadow is drawn

Associated revisions

Revision 8d72f13a - 2016-01-21 10:37 PM - Matthias Kuhn 

[25d] Improve convertability to other layers

    -  Move height and angle expressions for 2.5D renderer to layer

    -  Apply color based on main symbol color

This makes the transition to other renderers easy.

Fixes #14132

History

#1 - 2016-01-21 01:38 PM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"8d72f13a5750f9f5d499bc182c9531730e06a515".
